%define beta_version b3a
Name: nvclock
Version: 0.8       
Release: 0.6.%{beta_version}%{?dist}
Summary: Utility that allows users to overclock NVIDIA based video cards       

Group: Applications/System          
License: GPLv2+ and MIT     
URL: http://www.linuxhardware.org/nvclock           
Source0: http://linuxhardware.kerseyfamily.com/%{name}/%{name}%{version}%{beta_version}.tar.gz   

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: nvclock0.8b3a-missingheader.patch
Patch1: nvclock-attrib-check.patch

BuildRequires: gtk2-devel      
BuildRequires: pkgconfig
BuildRequires: desktop-file-utils

%description
Nvclock allows you to tweak your Nvidia card under Linux.
It features overclocking, hardware monitoring, tweaking
of OpenGL settings, and much more.

%package gtk

Summary: Nvclock gtk frontend
Group: Applications/System

%description gtk
This package contains the nvclock gui.

%prep
%setup -q -n %{name}%{version}%{beta_version}
%patch0 -p1 -b .header
%patch1 -p1 -b .crash

%build
%configure --disable-qt
#FIXME: smpbuild currently broken
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}
mv $RPM_BUILD_ROOT%{_prefix}/man/man1 $RPM_BUILD_ROOT%{_mandir}
desktop-file-install --vendor="fedora"  --delete-original \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications  \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/nvclock.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post gtk
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun gtk
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/nvclock
%{_docdir}/nvclock
%{_mandir}/man1/nvclock.*

%files gtk
%defattr(-,root,root,-)
%{_bindir}/nvclock_gtk
%{_datadir}/icons/hicolor/48x48/apps/nvclock.png
%{_datadir}/applications/fedora-nvclock.desktop

%changelog
* Mon May 12 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.8-0.6.b3a
- Fix possible crasher

* Thu Mar 20 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.8-0.5.b3a
- Include missing header to make FORTIFY_SOURCE work

* Sat Feb 09 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.8-0.4.b3a
- Rebuild for gcc-4.3

* Sun Jan 06 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.8-0.3.b3a
- Update to beta 3a

* Sat Jan 05 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.8-0.2.b3
- Spec file cleanups
- Fix license tag
- Fix icon location

* Sat Jan 05 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.8-0.1.b3
- Initial build
